Subject: Re: bug#71164: 14.0.5; Font lock annoyance

From: Ikumi Keita <[email-masked]>
Date: Sun, 30 Jun 2024 13:38:00 +0900

Hi Derek and all,

>>>>> Derek Clegg <[email-masked]> writes:
> Thanks for the email. This has fixed the original problem, so I think
> it’s good to go.

Thank you. I'll install the fix soon.

>> On Jun 29, 2024, at 1:19 PM, Arash Esbati <[email-masked]> wrote:
>>> And while we're at it: Do you have a recipe to reproduce this,
>>> preferably starting with "emacs -Q"?

Actually, I couldn't recall how I reproduced the issue for a while🥴. At
last I succeeded in reproducing again😆.
1. emacs -Q
2. M-x global-font-lock-mode RET
3. M-x load-file RET /usr/local/share/emacs/site-lisp/auctex.el RET
4. Open circ.tex
5. C-c C-m verb RET somewhere appropriate.
Then I have
Error during redisplay: (internal--syntax-propertize 2) signaled (error "Font-lock trying to use keywords before setting them up")

Regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW